<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('course_pages', function (Blueprint $table) {
            $table->id();
            $table->integer('course_id');
            $table->string('image');
            $table->longText('short_description');
            $table->longText('short_description_slug');
            $table->longText('course_description');
            $table->longText('course_curriculum');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('course_pages');
    }
};
